import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_incron_is_installed(host):
    incron = host.package("incron")
    assert incron.is_installed


def test_incron_running_and_enabled(host):
    incron = host.service("incrond")
    assert incron.is_running
    assert incron.is_enabled
